<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_e1d494d0cbef80819e" . "bcc2c1a58813a7" => base64_decode("Y29tbW9uL" . "nR5cGUucH" . "ViX3BhZ2U" . "="), "_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1" . "zZw" . "=="), "_0ed3a0eef0eb416ab" . "3b586ed096d2184" => base64_decode("cHVibGlzaC5wdWJsaXNoX2ZvbGRlcg" . "=="), "_5fde9260" . "9a43c9160" . "462278aec" . "060406" => base64_decode("Y29tbW9uL" . "nVua25vd2" . "4="), "_1d9d2c71a172429c1" . "ebe7f586b87a549" => base64_decode("cHVibGlzaC5wYWdlX3" . "ZlcnNpb24="));






abstract class TrashObjectPublish extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if ($_6c31fe38b922bf6d32ca6b96f4cd3945->DeleteObjectById($this->obj_id, $this->aggregation, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    public function Restore()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if (!$_6c31fe38b922bf6d32ca6b96f4cd3945->UndeleteObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_PUB_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0ed3a0eef" . "0eb416ab3b" . "586ed096d2" . "184"]);
            case AGGREGATION_PUB_PAGE:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e1d494d0" . "cbef80819" . "ebcc2c1a5" . "8813a7"]);
            case AGGREGATION_PUB_PAGE_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_1d9d2c71a172429c1ebe7f586b8" . "7a549"]);
        }
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5fde92609a43c91" . "60462278aec06040" . "6"]);
    }
}